### Method

# Peas Engine enable_loader

#### Declaration [src]

    void
    peas_engine_enable_loader (
      PeasEngine* engine,
      const char* loader_name
    )

#### Description [src]

Enable a loader, enables a loader for plugins.

The C plugin loader is always enabled. The other plugin loaders are: “gjs”, “lua5.1”, and “python”.

Note that the “python” loader is Python 3 only.

For instance, the following code will enable Python 3 plugins to be loaded:

    peas_engine_enable_loader (engine, "python");

Note: plugin loaders used to be shared across `PeasEngine`s so enabling a loader on one `PeasEngine` would enable it on all `PeasEngines`. This behavior has been kept to avoid breaking applications, however a warning has been added to help applications transition.

#### Parameters

`loader_name`

  Type: `const char*`

  The name of the loader to enable.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.